#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1

"${0%/*}"/wait-for-cluster-ready.sh || exit 1

resource_name="$1"
ipaddr="$2"

cat << __EOF__ | cibadmin --obj_type resources -C -p
<primitive class="ocf" id="$resource_name" provider="heartbeat" type="IPaddr">
    <instance_attributes id="${resource_name}_inst_attr">
        <attributes>
            <nvpair id="${resource_name}_attr_0" name="ip" value="$ipaddr"/>
        </attributes>
    </instance_attributes>
    <operations>
	<op id="${resource_name}_monitor" name="monitor" timeout="20s" interval="5s" start_delay="1s" />
    </operations>
</primitive>
__EOF__

