#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1

"${0%/*}"/wait-for-cluster-ready.sh || exit 1

resource_name="$1"
ipaddr="$2"

nvpair=$(crm_resource -x -r "$resource_name" | grep 'name="ip"' | sed -e "s/value=\".*\"/value=\"$ipaddr\"/")
[ -z "$nvpair" ] && exit 1
instance_attributes=$(crm_resource -x -r "$resource_name" | grep "<instance_attributes id=")
[ -z "$instance_attributes" ] && exit 1

cat << __EOF__ | cibadmin --obj_type resources -M -p
<primitive class="ocf" id="$resource_name" provider="heartbeat" type="IPaddr">
    $instance_attributes
        <attributes>
	    $nvpair
        </attributes>
    </instance_attributes>
</primitive>
__EOF__