#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1

"${0%/*}"/wait-for-cluster-ready.sh || exit 1

resource_name="$1"
openldap_base="$2"

cat << __EOF__ | cibadmin --obj_type resources -C -p
 <master_slave id="$resource_name">
   <meta_attributes id="${resource_name}_meta_attrs">
     <attributes>
       <nvpair id="${resource_name}_metaattr_target_role" name="target_role" value="started"/>
       <nvpair id="${resource_name}_metaattr_clone_max" name="clone_max" value="2"/>
       <nvpair id="${resource_name}_metaattr_clone_node_max" name="clone_node_max" value="1"/>
       <nvpair id="${resource_name}_metaattr_master_max" name="master_max" value="1"/>
       <nvpair id="${resource_name}_metaattr_master_node_max" name="master_node_max" value="1"/>
       <nvpair id="${resource_name}_metaattr_notify" name="notify" value="true"/>
       <nvpair id="${resource_name}_metaattr_globally_unique" name="globally_unique" value="false"/>
     </attributes>
   </meta_attributes>
   <primitive id="${resource_name}_clone" class="ocf" type="Openldap" provider="altlinux">
     <instance_attributes id="${resource_name}_clone_instance_attrs">
       <attributes>
         <nvpair id="${resource_name}_clone_attr_0" name="openldap_base" value="$openldap_base"/>
       </attributes>
     </instance_attributes>
       <operations>
         <op id="${resource_name}_monitor_slave" name="monitor" timeout="30s" interval="10s" role="Slave"/>
	 <op id="${resource_name}_monitor_master" name="monitor" timeout="30s" interval="11s" role="Master"/>
	 <op id="${resource_name}_monitor" name="monitor" timeout="30s" interval="12s"/>
       </operations>
   </primitive>
 </master_slave>
__EOF__
