#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1

"${0%/*}"/wait-for-cluster-ready.sh || exit 1

resource_name="$1"
openldap_base="$2"

primitive=$(crm_resource -x -r "$resource_name" | grep "<primitive ")
nvpair=$(crm_resource -x -r "$resource_name" | grep 'name="openldap_base"' | sed -e "s/value=\".*\"/value=\"$openldap_base\"/")
[ -z "$nvpair" ] && exit 1
instance_attributes=$(crm_resource -x -r "$resource_name" | grep "<instance_attributes id=")
[ -z "$primitive" ] && exit 1
[ -z "$instance_attributes" ] && exit 1

cat << __EOF__ | cibadmin --obj_type resources -M -p
$primitive
    $instance_attributes
        <attributes>
	    $nvpair
        </attributes>
    </instance_attributes>
</primitive>
__EOF__

sleep 30
