#!/bin/sh

[ -z "$1" ] && exit 1

base="$1"

alterator_output=$(alterator-cmdline /openldap/domains/"$base" action read 2>/dev/null)

ldap_suffix=`echo "$alterator_output" | sed 's/.* \+ldap_suffix \+"\([^"]*\).*/\1/'`

# If ldap_suffix is empty, read base mode failed
if [ -z "$ldap_suffix" ]; then
    echo "error"
    exit 2
fi

if echo "$alterator_output" | grep -Fqs "sl_mode #t" ; then
    echo "slave"
    exit 0
fi

if echo "$alterator_output" | grep -Fqs "ms_mode #t" ; then
    echo "master"
    exit 0
fi

echo "normal"
exit 0
