#!/bin/sh

status=$(service heartbeat status)

echo "$status" | grep -v -qs "^heartbeat OK" && exit 1

timeout=35
current=0
step=2

check()
{
    [ $current -lt $timeout ] || exit 2
    crm_resource -L && exit 0
    sleep $step
    current=$(expr $current + $step)
}

while [ $current -lt $timeout ]; do
    crm_resource -L &> /dev/null && exit 0
    sleep $step
    current=$(expr $current + $step)
done

exit 2

#check
